/********************************************************************************
 Author : CAC (China Applications Support Team) 

 Date :   Nov, 2012

 File name :   AD7760.h

 Description :	 Use the GPIOs of BF527 to get to communicate with AD7760

 Hardware plateform : 	ADSP-BF527 EZ-Kit Lite Ver1.5 and EVAL-AD7760/62EDZ RevG
********************************************************************************/

#ifndef __AD7760_H__
#define __AD7760_H__

#define AD7760_CS PG11
#define AD7760_RD_WR PG12
  


#define CTRL_REG1 0x0001
#define CTRL_REG2 0x0002
#define STATUS_REG 0x0002	//note: this is not a real address of STATUS, it's just used for reading it conviniently from setting Control Register-1.
#define OFFSET_REG 0x0003
#define GAIN_REG 0x0004
#define OVERRANGE_REG 0x0005

extern unsigned short Ctrl1_setting;	//it's used in the AD7760_Read() function. Note that it's not recommanded to set Control1 register directly when reading the registers.

void delay_ad(void);

void delay_loop(void);
void AD7760_Reset(void);
void AD7760_Reset1(void);
void AD7760_Write(unsigned short Reg, unsigned short Reg_Data);
void AD7760_Read(unsigned short Reg, unsigned short *pReg_Data);
void AD_Read(unsigned int *pADBuf);

#endif //__AD7760_H__


