/********************************************************************************
 Author : CAC (China Applications Support Team) 

 Date :   Nov, 2012

 File name :   AD7760Test.c

 Description :	 Use the GPIOs of BF527 to get to communicate with AD7760

 Hardware plateform : 	ADSP-BF527 EZ-Kit Lite Ver1.5 and EVAL-AD7760/62EDZ RevG

//figure 44 of datasheet--- Relative Timing Between RESET and  SYNC in Modulator Output Mode CDIV  = 0 

// connections
CED_/SYNC,  J3-pin31 : PPIFS1/PJ0
/CED_RESET, J3-pin33 : PPIFS2/PG5

/DRDY,      J3-pin29 : PPIFS3/PG6
MCLK_CED,   J3-pin6  : PPICLK, attempt to use the external crystal on the AD7760 evaluation board.

/RD/WR,     J3-pin25 : PG3/SPIMISO
/CS,        J3-pin24 : PG4/MOSI 

Function
1. Initialization when powered up;
2. Use the default filters and reading the ADC data;
********************************************************************************/

#include <cdefBF527.h>
#include <stdio.h>
#include <sys\exception.h>
#include <ccblkfn.h>
#include <sysreg.h>
#include <signal.h>
#include <services_types.h>

#include "AD7760.h"
#include "BF527Driver.h"

void main( void )
{
	unsigned short Reg, reg_cnt=0;
	int m,i,j;
	 
	InitPLL(16, 5);	/* msel = 16, ssel = 5, CCLK = 400MHz, SCLK = 80MHz */
	
	InitGPIOx();
	
	AD7760_Reset();
	
	AD7760_Write(CTRL_REG2, 0x0007);	//set ADC in Low Power mode. Must power up ADC, or can't write/read the registers.	
	
	Ctrl1_setting = 0x001d;
	//printf("The control1 register setting of AD7760 is %x.\n", Ctrl1_setting);
	AD7760_Write(CTRL_REG1, Ctrl1_setting);	//set the output data rate, refer to Table 6 of datasheet.

	/*	
	//Just for registers write-read loop back test
	AD7760_Write(GAIN_REG, 0x15);
	AD7760_Read(GAIN_REG, &Reg);
	printf("The gain register read from AD7760 is %x.\n", Reg);
	
	
	InitGPIOx();// we need to re-initialize the GPIOx if we want to re-write registers after every read(register or ADC data) function, 
	AD7760_Write(OFFSET_REG, 0x16);
	AD7760_Read(OFFSET_REG, &Reg);
	printf("The offset register read from AD7760 is %x.\n", Reg);
	*/
	
	Init_DRDY_Interrupt();	//DRDY is the IO interrupt source for PG6
	
	while(1)
	{
		asm("nop;");
	}

}
