/********************************************************************************
 Author : CAC (China Applications Support Team) 

 Date :   Nov, 2012

 File name :   BF527Driver.h

 Description :	 Use the PPI of BF527 to get to communicate with AD7760

 Hardware plateform : 	ADSP-BF527 EZ-Kit Lite Ver1.5 and EVAL-AD7760/62EDZ RevG
********************************************************************************/

#ifndef __AD7760_DRIVER_H__
#define __AD7760_DRIVER_H__

/* PLL_CTL Macros (Only Use With Logic OR While Setting Lower Order Bits)			*/
#define	SET_MSEL(x)		(((x)&0x3F) << 0x9)	/* Set MSEL = 0-63 --> VCO = CLKIN*MSEL		*/
/* PLL_DIV Macros														*/
#define SET_SSEL(x)			((x)&0xF)	/* Set SSEL = 0-15 --> SCLK = VCO/SSEL	*/
#define SET_CSEL(x)			(((x)&0x3) << 0x4) /* Set CSEL = 0-3 --> CCLK = VCO/(2^CSEL) */

void InitPLL(unsigned int msel, unsigned int ssel);
void InitGPIOx(void);
void Init_DRDY_Interrupt(void);
void InitPPI(void);
void InitPPIInterrupts(void);
void InitDMA(void);
void EnablePPI_DMA(void);
void DisablePPI_DMA(void);

#endif //__AD7760_DRIVER_H__

